# DataExchange
TKIGES
IGESGraph

# IGESGraph_LineFontPredefined Class Reference

defines IGESLineFontPredefined, Type <406> Form <19>
in package IGESGraph

`#include <IGESGraph_LineFontPredefined.hxx>`

Inheritance diagram for IGESGraph_LineFontPredefined:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_LineFontPredefined ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Integer aLineFontPatternCode)
| This method is used to set the fields of the class LineFontPredefined - nbProps : Number of property values (NP = 1) - aLineFontPatternCode : Line Font Pattern Code .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Integer | LineFontPatternCode () const
| returns the Line Font Pattern Code of <me>
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theLineFontPatternCode

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_LineFontPredefined::IGESGraph_LineFontPredefined | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_LineFontPredefined::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_LineFontPredefined::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Integer | aLineFontPatternCode
| ) |

Standard_EXPORT Standard_Integer IGESGraph_LineFontPredefined::LineFontPatternCode | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_LineFontPredefined::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_LineFontPredefined::theLineFontPatternCode `[private]`

Standard_Integer IGESGraph_LineFontPredefined::theNbPropertyValues `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_LineFontPredefined.hxx